#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: tree-diff
version: 0.0.1
id: tree-diff-0.0.1-5uNomOX0PFFBy4sbU9vpPE
key: tree-diff-0.0.1-5uNomOX0PFFBy4sbU9vpPE
license: BSD-3-Clause
copyright: (c) 2017 Oleg Grenrus
maintainer: Oleg.Grenrus <oleg.grenrus@iki.fi>
author: Oleg Grenrus <oleg.grenrus@iki.fi>
homepage: https://github.com/phadej/tree-diff
synopsis: Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:
    .
    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @
    .
    This package works on trees.
    .
    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @
    .
    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.
    .
    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.
    .
    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    {fooBool = [-True, +False, False, +True],
    fooInt = 42,
    fooString = -"old" +"new"}
    @
category: Data
abi: ce7ad649c295f1668a84226d8c00cdc0
exposed: True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.Parser
    Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck Data.TreeDiff.Tree
import-dirs: /usr/lib/ghc-8.4.3/site-local/tree-diff-0.0.1
library-dirs: /usr/lib/ghc-8.4.3/site-local/tree-diff-0.0.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/tree-diff-0.0.1
hs-libraries: HStree-diff-0.0.1-5uNomOX0PFFBy4sbU9vpPE
depends:
    base-4.11.1.0 aeson-1.3.1.1-7VLuHgXpUZXICjV9H4HLME
    ansi-wl-pprint-0.6.8.2-8f94dKGUwBPE80RGxGBXOm
    ansi-terminal-0.8.0.4-HZ5uOkWM5Gb4ksiKJemtLG
    base-compat-0.10.4-9FtFg9E90S5CFRyvxjUaaZ bytestring-0.10.8.2
    containers-0.5.11.0 generics-sop-0.3.2.0-5JX38dNigUk7e65oSELmom
    hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg
    MemoTrie-0.6.9-KbEA48HhEESBjpWmkWVKd3 parsec-3.1.13.0
    parsers-0.12.9-9KHXU2ILDNi1WRhatxpbQz pretty-1.1.3.6
    QuickCheck-2.11.3-58QsvdIMmwDDNaUIIDmLAr
    scientific-0.3.6.2-KcBBbCjUUZZKnRSUL2OTul
    tagged-0.8.6-8akQ1aZG2N2GFJpoB5eGXO text-1.2.3.0 time-1.8.0.2
    unordered-containers-0.2.9.0-4xkK4TVeOzU5CT7vUnH40Y
    uuid-types-1.0.3-9IxwX10i8f5KLD3aajZO71
    vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq
abi-depends: base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             aeson-1.3.1.1-7VLuHgXpUZXICjV9H4HLME=7ee9b817f9a46427a0a72def7776ba94
             ansi-wl-pprint-0.6.8.2-8f94dKGUwBPE80RGxGBXOm=cbc795f0a49989e87d7491265173e6cf
             ansi-terminal-0.8.0.4-HZ5uOkWM5Gb4ksiKJemtLG=eaed657d24f75590faf3b67ce55e7410
             base-compat-0.10.4-9FtFg9E90S5CFRyvxjUaaZ=fc280138c1e1b70cf939493d29d4c902
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             generics-sop-0.3.2.0-5JX38dNigUk7e65oSELmom=395f3c6f10a85f11577aaff4e7955339
             hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg=ad8d36b5596969152937469512f0d3b1
             MemoTrie-0.6.9-KbEA48HhEESBjpWmkWVKd3=9f0b91cb997c4fe6b5b52e3e05f62e82
             parsec-3.1.13.0=a963888603f65e0a8f63f07fffd516d6
             parsers-0.12.9-9KHXU2ILDNi1WRhatxpbQz=a9f40d74f8f0180d38270d472e9f7e3e
             pretty-1.1.3.6=242598bba36778e604a1e89d5c7ce1a8
             QuickCheck-2.11.3-58QsvdIMmwDDNaUIIDmLAr=0b62adbb61d61aac8d449588192e831b
             scientific-0.3.6.2-KcBBbCjUUZZKnRSUL2OTul=dc9b33f81f401bd0ab050d9bb851ae71
             tagged-0.8.6-8akQ1aZG2N2GFJpoB5eGXO=4bf567357cce5e796341c1faefad6985
             text-1.2.3.0=be4c3e1c57cff1d501eb0e876706a48d
             time-1.8.0.2=976962cc6498b843f1efb5bef740838e
             unordered-containers-0.2.9.0-4xkK4TVeOzU5CT7vUnH40Y=35805d13add6a65c87fb8fb413d93b58
             uuid-types-1.0.3-9IxwX10i8f5KLD3aajZO71=b4d53b96ebd09e78eeddd19077455aea
             vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq=2d4c17574909e037fa0256847c747647
haddock-interfaces: /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html: /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

